Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/PersonRecordField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/PersonRecordField.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/PersonRecordField.java	(revision 8)
@@ -1,9 +1,11 @@
 package org.ccc.bcccc.client.areas.fields;
 
 import org.ccc.bcccc.client.areas.RecordPersonsArea;
+import org.ccc.bcccc.shared.Person;
 
 import com.smartgwt.client.widgets.form.DynamicForm;
 import com.smartgwt.client.widgets.form.fields.PickerIcon;
+import com.smartgwt.client.widgets.form.fields.SelectItem;
 import com.smartgwt.client.widgets.form.fields.TextItem;
 import com.smartgwt.client.widgets.form.fields.events.FormItemClickHandler;
 import com.smartgwt.client.widgets.form.fields.events.FormItemIconClickEvent;
@@ -15,31 +17,46 @@
 	protected static int no = 1;
 	RecordPersonsArea area;
 	
-	TextItem field;
-	public PersonRecordField(RecordPersonsArea area, String name) {
+	TextItem nameField;
+	SelectItem roleField;
+	
+	public PersonRecordField(RecordPersonsArea area) {
 		this.area = area;
 		
-		field = new TextItem("person"+no++);
-		field.setShowTitle(false);
+		nameField = new TextItem("person"+no++);
+		nameField.setTitle("Nom");
 		
+		roleField = new SelectItem("role"+no++);
+		roleField.setTitle("Rôle");
+		roleField.setValueMap(Person.roles);
+		
 		PickerIcon removePicker = new PickerIcon(PickerIcon.CLEAR, new FormItemClickHandler() {  
 			public void onFormItemClick(FormItemIconClickEvent event) {  
 				PersonRecordField.this.area.removeAField(PersonRecordField.this);
 			}  
 		}); 
 
-		field.setIcons(removePicker);
+		nameField.setIcons(removePicker);
 
 		DynamicForm form = new DynamicForm();
-		form.setFields(field);
+		form.setFields(nameField, roleField);
 		this.addMember(form);
 	}
-	public String getValue() {
-		Object v = field.getValue();
+	
+	public String getName() {
+		Object v = nameField.getValue();
 		if (v == null) return "";
 		return v.toString();
 	}
-	public void setValue(String v) {
-		field.setValue(v);
+	
+	public String getRole() {
+		Object v = roleField.getValue();
+		if (v == null) return "";
+		return v.toString();
 	}
+
+	public void setValue(Person d) {
+		nameField.setValue(d.name);
+		roleField.setValue(d.role);
+	}
 }
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DataRecordField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DataRecordField.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/DataRecordField.java	(revision 8)
@@ -18,7 +18,7 @@
  */
 package org.ccc.bcccc.client.areas.fields;
 
-import org.ccc.bcccc.client.areas.DataRecordArea;
+import org.ccc.bcccc.client.areas.RecordDataArea;
 import org.ccc.bcccc.shared.Data;
 
 import com.google.gwt.user.client.Window;
@@ -43,7 +43,7 @@
 public class DataRecordField extends DynamicForm {
 	
 	/** The area. */
-	DataRecordArea area;
+	RecordDataArea area;
 	
 	/** The d. */
 	Data d = new Data("", "");
@@ -63,7 +63,7 @@
 	 * @param area the area
 	 * @param n the n
 	 */
-	public DataRecordField(DataRecordArea area, int n) {
+	public DataRecordField(RecordDataArea area, int n) {
 		this.area = area;
 		this.n = n;
 		this.setNumCols(5);
Index: projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/PublicationRecordField.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/PublicationRecordField.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/areas/fields/PublicationRecordField.java	(revision 8)
@@ -18,7 +18,7 @@
  */
 package org.ccc.bcccc.client.areas.fields;
 
-import org.ccc.bcccc.client.areas.PublicationsRecordArea;
+import org.ccc.bcccc.client.areas.RecordPublicationsArea;
 import org.ccc.bcccc.shared.Publication;
 
 import com.smartgwt.client.util.SC;
@@ -45,7 +45,7 @@
 	Publication r = new Publication("", "", "");
 
 	/** The area. */
-	PublicationsRecordArea area;
+	RecordPublicationsArea area;
 
 	/** The n. */
 	int n;
@@ -65,7 +65,7 @@
 	 * @param publicationsRecordArea the area
 	 * @param n the n
 	 */
-	public PublicationRecordField(PublicationsRecordArea publicationsRecordArea, int n) {
+	public PublicationRecordField(RecordPublicationsArea publicationsRecordArea, int n) {
 
 		this.area = publicationsRecordArea;
 		this.n = n;
Index: projets/BCCCC/src/org/ccc/bcccc/client/BCCCC.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/BCCCC.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/BCCCC.java	(revision 8)
@@ -35,6 +35,7 @@
 import com.google.gwt.event.logical.shared.ValueChangeHandler;
 import com.google.gwt.user.client.DOM;
 import com.google.gwt.user.client.History;
+import com.google.gwt.user.client.Window;
 import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.google.gwt.user.client.ui.RootPanel;
 import com.smartgwt.client.types.Alignment;
@@ -143,7 +144,10 @@
 
 				if (result != null) { // user is logged
 					doLogUser(result);
+					//goToPanel();
 				} 
+				
+				goToPanel(History.getToken());
 			}
 		});
 	}
@@ -152,7 +156,6 @@
 	 * Initialize UI.
 	 */
 	public void init() {
-		History.newItem(""); // reset history
 		homePanel.init();
 		mainLayout.setWidth100();
 		mainLayout.setHeight100();
@@ -265,149 +268,155 @@
 		mainLayout.draw();
 
 		History.addValueChangeHandler(new ValueChangeHandler<String>() {
-
 			@Override
 			public void onValueChange(ValueChangeEvent<String> event) {
+				historyChanged(event);
+			}
+		});
+	}
 
-				continueHistoryChange = true;
-				for (Canvas panel : centerLayout.getMembers()){
-					if (panel == editTerrainRecordPanel && editTerrainRecordPanel.isRecordChanged()) {
-						SC.ask("Attention la fiche n'est pas sauvegardée. Continuer ?", new BooleanCallback() {
-							@Override
-							public void execute(Boolean value) {
-								continueHistoryChange = value;
-							}
-						});
+	protected void historyChanged(ValueChangeEvent<String> event) {
+		continueHistoryChange = true;
+		for (Canvas panel : centerLayout.getMembers()){
+			if (panel == editTerrainRecordPanel && editTerrainRecordPanel.isRecordChanged()) {
+				SC.ask("Attention la fiche n'est pas sauvegardée. Continuer ?", new BooleanCallback() {
+					@Override
+					public void execute(Boolean value) {
+						continueHistoryChange = value;
 					}
-				}
+				});
+			}
+		}
 
-				if (!continueHistoryChange) return;
+		if (!continueHistoryChange) return;
 
-				String hist = event.getValue();
-				clearMainPanel();
-				if (hist.startsWith(K.BROWSE)) {
-					System.out.println("Opening 'browse'");
+		String hist = event.getValue();
+		goToPanel(hist);
+	}
 
-					// load the right record list
-					int idx = hist.indexOf("_") + 1;
-					String show ="";
-					if (idx > 0) {
-						show = hist.substring(idx);
-					}
-					System.out.println("Browsing by "+show);
-					if ("my".equals(show)) {
-						Services.getMain().getMyRecords(new AsyncCallback<ArrayList<TerrainRecord>>() {
-							@Override
-							public void onSuccess(ArrayList<TerrainRecord> result) {
-								if (result != null) {
-									my_records = new ArrayList<TerrainRecord>();
-									my_records = result;
-									records = my_records;
+	private void goToPanel(String hist) {
+		clearMainPanel();
+		if (hist.startsWith(K.BROWSE)) {
+			System.out.println("Opening 'browse'");
 
-									browsePanel.init();
-									centerLayout.addMember(browsePanel);
-								} else {
-									SC.say("Error while records recovery.");
-								}
-							}
+			// load the right record list
+			int idx = hist.indexOf("_") + 1;
+			String show ="";
+			if (idx > 0) {
+				show = hist.substring(idx);
+			}
+			System.out.println("Browsing by "+show);
+			if ("my".equals(show)) {
+				Services.getMain().getMyRecords(new AsyncCallback<ArrayList<TerrainRecord>>() {
+					@Override
+					public void onSuccess(ArrayList<TerrainRecord> result) {
+						if (result != null) {
+							my_records = new ArrayList<TerrainRecord>();
+							my_records = result;
+							records = my_records;
 
-							@Override
-							public void onFailure(Throwable caught) {
-								SC.warn(caught.getMessage());
-							}
-						});
-					} else if ("searched".equals(show)) {
-						System.out.println("Show search result: "+searched_records.size());
-						records = searched_records;
-						browsePanel.init();
-						centerLayout.addMember(browsePanel);
-					} else { // Show all records
-						Services.getMain().getRecords(new AsyncCallback<ArrayList<TerrainRecord>>() {
-							@Override
-							public void onFailure(Throwable caught) {
-								SC.warn(caught.getMessage());
-							}
+							browsePanel.init();
+							centerLayout.addMember(browsePanel);
+						} else {
+							SC.say("Error while records recovery.");
+						}
+					}
 
-							@Override
-							public void onSuccess(ArrayList<TerrainRecord> result) {
-								if (result != null) {
-									all_records = new ArrayList<TerrainRecord>();
-									all_records = result;
-									records = all_records;
-									browsePanel.init();
-									centerLayout.addMember(browsePanel);
-								} else {
-									SC.say("Error while records recovery.");
-								}
-							}
-						});
+					@Override
+					public void onFailure(Throwable caught) {
+						SC.warn(caught.getMessage());
 					}
-				} else if (hist.equals(K.SEARCHCOMPLEX)) {
-					searchPanel.init();
-					centerLayout.addMember(searchPanel);
-				} else if (hist.startsWith(K.NEWRECORD)) {
-					createTerrainRecordPanel.init();
-					centerLayout.addMember(createTerrainRecordPanel);
-				} else if (hist.startsWith(K.EDITRECORD)) {
-					int idx = hist.indexOf("_") + 1;
-					if (idx > 0) { // the URL contains the record ID
-						String id = hist.substring(idx);
-						final long long_id = Long.parseLong(id);
-						Services.getMain().getRecord(long_id, new AsyncCallback<TerrainRecordAndRights>() {
-							@Override
-							public void onFailure(Throwable caught) {
-								SC.warn("Error while fetching record with id="+long_id+": "+caught);
-							}
+				});
+			} else if ("searched".equals(show)) {
+				System.out.println("Show search result: "+searched_records.size());
+				records = searched_records;
+				browsePanel.init();
+				centerLayout.addMember(browsePanel);
+			} else { // Show all records
+				Services.getMain().getRecords(new AsyncCallback<ArrayList<TerrainRecord>>() {
+					@Override
+					public void onFailure(Throwable caught) {
+						SC.warn(caught.getMessage());
+					}
 
-							@Override
-							public void onSuccess(TerrainRecordAndRights result) {
-								if (result != null) {
-									doubleClickedRecord = result.record;
+					@Override
+					public void onSuccess(ArrayList<TerrainRecord> result) {
+						if (result != null) {
+							all_records = new ArrayList<TerrainRecord>();
+							all_records = result;
+							records = all_records;
+							browsePanel.init();
+							centerLayout.addMember(browsePanel);
+						} else {
+							SC.say("Error while records recovery.");
+						}
+					}
+				});
+			}
+		} else if (hist.equals(K.SEARCHCOMPLEX)) {
+			searchPanel.init();
+			centerLayout.addMember(searchPanel);
+		} else if (hist.startsWith(K.NEWRECORD)) {
+			createTerrainRecordPanel.init();
+			centerLayout.addMember(createTerrainRecordPanel);
+		} else if (hist.startsWith(K.EDITRECORD)) {
+			int idx = hist.indexOf("_") + 1;
+			if (idx > 0) { // the URL contains the record ID
+				String id = hist.substring(idx);
+				final long long_id = Long.parseLong(id);
+				Services.getMain().getRecord(long_id, new AsyncCallback<TerrainRecordAndRights>() {
+					@Override
+					public void onFailure(Throwable caught) {
+						SC.warn("Error while fetching record with id="+long_id+": "+caught);
+					}
 
-									editTerrainRecordPanel.init();
-									centerLayout.addMember(editTerrainRecordPanel);
-								} else {
-									SC.warn("No record found with id="+long_id);
-								}
-							}
-						});
-					} else {
-						editTerrainRecordPanel.init();
-						centerLayout.addMember(editTerrainRecordPanel);
+					@Override
+					public void onSuccess(TerrainRecordAndRights result) {
+						if (result != null) {
+							doubleClickedRecord = result.record;
+
+							editTerrainRecordPanel.init();
+							centerLayout.addMember(editTerrainRecordPanel);
+						} else {
+							SC.warn("No record found with id="+long_id);
+						}
 					}
-				}  else if (hist.startsWith(K.VIEWRECORD)) {
-					int idx = hist.indexOf("_") + 1;
-					if (idx > 0) { // the URL contains the record ID
-						String id = hist.substring(idx);
-						final long long_id = Long.parseLong(id);
-						Services.getMain().getRecord(long_id, new AsyncCallback<TerrainRecordAndRights>() {
-							@Override
-							public void onFailure(Throwable caught) {
-								SC.warn("Error while fetching record with id="+long_id+": "+caught);
-							}
+				});
+			} else {
+				editTerrainRecordPanel.init();
+				centerLayout.addMember(editTerrainRecordPanel);
+			}
+		}  else if (hist.startsWith(K.VIEWRECORD)) {
+			int idx = hist.indexOf("_") + 1;
+			if (idx > 0) { // the URL contains the record ID
+				String id = hist.substring(idx);
+				final long long_id = Long.parseLong(id);
+				Services.getMain().getRecord(long_id, new AsyncCallback<TerrainRecordAndRights>() {
+					@Override
+					public void onFailure(Throwable caught) {
+						SC.warn("Error while fetching record with id="+long_id+": "+caught);
+					}
 
-							@Override
-							public void onSuccess(TerrainRecordAndRights result) {
-								if (result != null) {
-									doubleClickedRecord = result.record;
+					@Override
+					public void onSuccess(TerrainRecordAndRights result) {
+						if (result != null) {
+							doubleClickedRecord = result.record;
 
-									viewTerrainRecordPanel.init();
-									centerLayout.addMember(viewTerrainRecordPanel);
-								} else {
-									SC.warn("No record found with id="+long_id);
-								}
-							}
-						});
-					} else {
-						viewTerrainRecordPanel.init();
-						centerLayout.addMember(viewTerrainRecordPanel);
+							viewTerrainRecordPanel.init();
+							centerLayout.addMember(viewTerrainRecordPanel);
+						} else {
+							SC.warn("No record found with id="+long_id);
+						}
 					}
-				} else {
-					homePanel.init();
-					centerLayout.addMember(homePanel);
-				}
+				});
+			} else {
+				viewTerrainRecordPanel.init();
+				centerLayout.addMember(viewTerrainRecordPanel);
 			}
-		});
+		} else {
+			homePanel.init();
+			centerLayout.addMember(homePanel);
+		}
 	}
 
 	/**
@@ -422,7 +431,6 @@
 		createRecordButton.setVisible(true);
 		userNameLabel.setContents(userAndEta);
 
-		History.newItem(K.HOME);
 	}
 
 	/**
Index: projets/BCCCC/src/org/ccc/bcccc/client/LoginWindow.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/LoginWindow.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/LoginWindow.java	(revision 8)
@@ -18,6 +18,9 @@
  */
 package org.ccc.bcccc.client;
 
+import org.ccc.bcccc.shared.K;
+
+import com.google.gwt.user.client.History;
 import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.smartgwt.client.types.VerticalAlignment;
 import com.smartgwt.client.util.SC;
@@ -49,7 +52,7 @@
 	private BCCCC bcccc;
 	
 	/** The login item. */
-	private TextItem loginItem;
+	private TextItem emailItem;
 	
 	/**
 	 * Instantiates a new login window.
@@ -79,10 +82,10 @@
 		form.setPadding(5);  
 		form.setLayoutAlign(VerticalAlignment.BOTTOM);
 		
-		loginItem = new TextItem("login");  
-		loginItem.setRequired(true);
-		loginItem.setTitle("Login"); 
-		loginItem.addKeyPressHandler(new KeyPressHandler() {
+		emailItem = new TextItem("login");  
+		emailItem.setRequired(true);
+		emailItem.setTitle("Login"); 
+		emailItem.addKeyPressHandler(new KeyPressHandler() {
 			@Override
 			public void onKeyPress(KeyPressEvent event) {
 				if (event != null && event.getKeyName() != null) {
@@ -92,21 +95,7 @@
 				}
 			}
 		});
-		
-		TextItem etaItem2 = new TextItem("eta");  
-		etaItem2.setRequired(true);
-		etaItem2.setTitle("Etablissement");  
-		etaItem2.addKeyPressHandler(new KeyPressHandler() {
-			@Override
-			public void onKeyPress(KeyPressEvent event) {
-				if (event != null && event.getKeyName() != null) {
-					if (event.getKeyName().equals("Enter")) {
-						validate();
-					}
-				}
-			}
-		});
-		
+				
 		PasswordItem passItem = new PasswordItem("password"); 
 		passItem.setRequired(true);  
 		passItem.setTitle("mot de passe");
@@ -141,11 +130,10 @@
 			}
 		});
 		
-		form.setFields(loginItem, etaItem2, passItem, validate); 
+		form.setFields(emailItem, passItem, validate); 
 
 		this.addItem(form);  
-		form.setValue("login", "test");
-		form.setValue("eta", "ens-lyon.fr");
+		form.setValue("login", "test@ens-lyon.fr");
 		form.setValue("password", "test");
 	}
 	
@@ -154,7 +142,7 @@
 	 */
 	public void show() {
 		super.show();
-		loginItem.focusInItem();
+		emailItem.focusInItem();
 	}
 	
 	/**
@@ -165,17 +153,8 @@
 	public String getLogin() {
 		return form.getValueAsString("login");
 	}
-	
+		
 	/**
-	 * Gets the eta.
-	 *
-	 * @return the eta
-	 */
-	public String getEta() {
-		return form.getValueAsString("eta");
-	}
-	
-	/**
 	 * Gets the password.
 	 *
 	 * @return the password
@@ -198,9 +177,8 @@
 	 */
 	public void validate() {
 		final String login = this.getLogin();
-		final String eta = this.getEta();
 		final String password = this.getPassword();
-		Services.getMain().logIn(login, eta, password, new AsyncCallback<Boolean>() {
+		Services.getMain().logIn(login, password, new AsyncCallback<Boolean>() {
 			@Override
 			public void onFailure(Throwable caught) {
 				hide();
@@ -211,9 +189,10 @@
 			public void onSuccess(Boolean result) {
 				hide();
 				if (result) {
-					bcccc.doLogUser(login+"@"+eta);
+					bcccc.doLogUser(login);
+					History.newItem(K.HOME);
 				} else {
-					SC.warn("Failed to connect as "+login+"@"+eta);
+					SC.warn("Failed to connect as "+login);
 				}
 			}
 		});
Index: projets/BCCCC/src/org/ccc/bcccc/client/panels/ViewPanel.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/panels/ViewPanel.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/panels/ViewPanel.java	(revision 8)
@@ -79,7 +79,7 @@
 			editImg.setVisible(false);
 			editImg.addClickHandler(new ClickHandler() {  
 				public void onClick(ClickEvent event) {
-					History.newItem(K.EDITRECORD);
+					History.newItem(K.EDITRECORD+"_"+record.record.uniq_id);
 				}
 			}); 
 			this.addMember(editImg);
Index: projets/BCCCC/src/org/ccc/bcccc/client/panels/BrowsePanel.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/panels/BrowsePanel.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/panels/BrowsePanel.java	(revision 8)
@@ -132,7 +132,7 @@
 	        						}
 	        					}
 	                        		                        	
-	                        	History.newItem(K.EDITRECORD);
+	                        	History.newItem(K.EDITRECORD+"_"+UNIQID);
 	                        }  
 	                    });  
 	  
@@ -159,7 +159,7 @@
 	        						}
 	        					}
 	                        		                        	
-	                        	History.newItem(K.VIEWRECORD);  
+	                        	History.newItem(K.VIEWRECORD+"_"+UNIQID);  
 	                        }  
 	                    });  
 	  
@@ -182,7 +182,7 @@
 				@Override
 				public void onRecordDoubleClick(RecordDoubleClickEvent event) {
 					String UNIQID_str = event.getRecord().getAttribute(K.UNIQID);
-					Long UNIQID = Long.parseLong(UNIQID_str);
+					final Long UNIQID = Long.parseLong(UNIQID_str);
 					System.out.println("User double click on record with UNIQID="+UNIQID);
 					BCCCC.doubleClickedRecord = null;
 					for (int i = 0 ; i < BCCCC.records.size() ; i++) {
@@ -204,9 +204,9 @@
 							@Override
 							public void onSuccess(Boolean result) {
 								if (result) {
-									History.newItem(K.EDITRECORD);
+									History.newItem(K.EDITRECORD+"_"+UNIQID);
 								} else {
-									History.newItem(K.VIEWRECORD);
+									History.newItem(K.VIEWRECORD+"_"+UNIQID);
 								}
 							}
 						});
Index: projets/BCCCC/src/org/ccc/bcccc/client/panels/CreatePanel.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/panels/CreatePanel.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/panels/CreatePanel.java	(revision 8)
@@ -57,6 +57,9 @@
 	/** The project vae field. */
 	private TextItem projectVAEField;
 	
+	/** The place vae field. */
+	private TextItem placeVAEField;
+	
 	/** The date vae field. */
 	private DateItem dateVAEField;
 	
@@ -91,6 +94,10 @@
 			contentVAEField.setTitle("Short description");
 			contentVAEField.setRequired(true);
 			
+			placeVAEField = new TextItem(K.PLACE);  
+			placeVAEField.setTitle("Lieu");  
+			placeVAEField.setRequired(true);
+			
 			dateVAEField = new DateItem(K.DATE);  
 			dateVAEField.setTitle("Date");  
 			dateVAEField.setUseTextField(false);
@@ -112,7 +119,8 @@
 					Date date = (Date)createForm.getValue(K.DATE);
 					record.record.setInfoFields(
 							createForm.getValueAsString(K.ID), 
-							createForm.getValueAsString(K.PROJECT), 
+							createForm.getValueAsString(K.PROJECT),
+							createForm.getValueAsString(K.PLACE), 
 							date, 
 							createForm.getValueAsString(K.DESC),
 							"???");
@@ -137,7 +145,7 @@
 			});
 
 			createForm.setItems(idVAEField, contentVAEField, 
-					projectVAEField, dateVAEField, saveVAEButton);
+					projectVAEField, placeVAEField, dateVAEField, saveVAEButton);
 
 		}
 	}
Index: projets/BCCCC/src/org/ccc/bcccc/client/panels/EditPanel.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/panels/EditPanel.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/panels/EditPanel.java	(revision 8)
@@ -22,18 +22,19 @@
 
 import org.ccc.bcccc.client.BCCCC;
 import org.ccc.bcccc.client.Services;
-import org.ccc.bcccc.client.areas.DataRecordArea;
-import org.ccc.bcccc.client.areas.DateRecordField;
-import org.ccc.bcccc.client.areas.DispositifsRecordArea;
-import org.ccc.bcccc.client.areas.DocumentsRecordArea;
-import org.ccc.bcccc.client.areas.PublicationsRecordArea;
-import org.ccc.bcccc.client.areas.RecordDescriptionField;
-import org.ccc.bcccc.client.areas.RecordNOfParticipantsField;
-import org.ccc.bcccc.client.areas.RecordNameField;
+import org.ccc.bcccc.client.areas.RecordDataArea;
+import org.ccc.bcccc.client.areas.RecordDateArea;
+import org.ccc.bcccc.client.areas.RecordDispositifsArea;
+import org.ccc.bcccc.client.areas.RecordDocumentsArea;
+import org.ccc.bcccc.client.areas.RecordPlaceArea;
+import org.ccc.bcccc.client.areas.RecordPublicationsArea;
+import org.ccc.bcccc.client.areas.RecordDescriptionArea;
+import org.ccc.bcccc.client.areas.RecordParticipantsNumberArea;
+import org.ccc.bcccc.client.areas.RecordNameArea;
 import org.ccc.bcccc.client.areas.RecordPersonsArea;
 import org.ccc.bcccc.client.areas.RecordProjectField;
 import org.ccc.bcccc.client.areas.RecordTypesArea;
-import org.ccc.bcccc.client.areas.ReportsRecordArea;
+import org.ccc.bcccc.client.areas.RecordReportsArea;
 import org.ccc.bcccc.shared.K;
 import org.ccc.bcccc.shared.TerrainRecordAndRights;
 
@@ -78,19 +79,22 @@
 	private ButtonItem validateVAEButton;
 
 	/** The name field. */
-	private RecordNameField nameField;
+	private RecordNameArea nameField;
 
 	/** The project field. */
 	private RecordProjectField projectField;
 
 	/** The description field. */
-	private RecordDescriptionField descriptionField;
+	private RecordDescriptionArea descriptionField;
 
 	/** The date field. */
-	private DateRecordField dateField;
+	private RecordPlaceArea placeField;
+	
+	/** The date field. */
+	private RecordDateArea dateField;
 
 	/** The number of participants field. */
-	private RecordNOfParticipantsField numberOfParticipantsField;
+	private RecordParticipantsNumberArea numberOfParticipantsField;
 
 	/** The participants field. */
 	private RecordPersonsArea personsField;
@@ -99,19 +103,19 @@
 	private RecordTypesArea typesField;
 
 	/** The dispositifs field. */
-	private DispositifsRecordArea dispositifsField;
+	private RecordDispositifsArea dispositifsField;
 
 	/** The data field. */
-	private DataRecordArea dataField;
+	private RecordDataArea dataField;
 
 	/** The documentation field. */
-	private DocumentsRecordArea documentationField;
+	private RecordDocumentsArea documentationField;
 
 	/** The report field. */
-	private ReportsRecordArea reportField;
+	private RecordReportsArea reportField;
 
 	/** The publication field. */
-	private PublicationsRecordArea publicationField;
+	private RecordPublicationsArea publicationField;
 
 	private ButtonItem viewVAEButton;
 
@@ -136,15 +140,15 @@
 
 					record.record.setInfoFields(nameField.getValue(), 
 							projectField.getValue(), 
+							placeField.getValue(),
 							dateField.getDate(), 
 							descriptionField.getValue(),
 							"???");
 
 					record.record.setDetailFields(Integer.parseInt(numberOfParticipantsField.getValue()), 
-							viewAndEditForm.getValueAsString(K.PLACE), 
 							typesField.getValuesAsStringArray(), 
 							new ArrayList<String>(),
-							personsField.getValuesAsStringArray(),
+							personsField.getValues(),
 							dispositifsField.getValues(),
 							documentationField.getValues(), 
 							dataField.getValues(),
@@ -229,7 +233,7 @@
 			viewVAEButton.addClickHandler(new com.smartgwt.client.widgets.form.fields.events.ClickHandler() {
 				@Override
 				public void onClick(com.smartgwt.client.widgets.form.fields.events.ClickEvent event) {
-					History.newItem(K.VIEWRECORD);  
+					History.newItem(K.VIEWRECORD+"_"+record.record.uniq_id);  
 				}
 			});
 			viewAndEditForm.setNumCols(4);
@@ -238,20 +242,21 @@
 			viewAndEditForm.setTitleOrientation(TitleOrientation.LEFT);
 			viewAndEditForm.setMargin(10);
 
-			nameField = new RecordNameField(this);
+			nameField = new RecordNameArea(this);
 			projectField = new RecordProjectField(this);	
-			descriptionField = new RecordDescriptionField(this);
-			dateField = new DateRecordField(this, "Date", false, true, null);
-			numberOfParticipantsField = new RecordNOfParticipantsField(this, "Nombre de participants");
+			descriptionField = new RecordDescriptionArea(this);
+			placeField = new RecordPlaceArea(this);
+			dateField = new RecordDateArea(this, "Date", false, true, null);
+			numberOfParticipantsField = new RecordParticipantsNumberArea(this, "Nombre de participants");
 
 			personsField = new RecordPersonsArea(this);
 			typesField = new RecordTypesArea(this);
 
-			dispositifsField = new DispositifsRecordArea(this, "Dispositifs utilisés");
-			dataField = new DataRecordArea(this,  "Données produites");
-			documentationField = new DocumentsRecordArea(this, "Documentation");
-			reportField = new ReportsRecordArea(this,  "Rapports");
-			publicationField = new PublicationsRecordArea(this, "Publications produites");
+			dispositifsField = new RecordDispositifsArea(this, "Dispositifs utilisés");
+			dataField = new RecordDataArea(this,  "Données produites");
+			documentationField = new RecordDocumentsArea(this, "Documentation");
+			reportField = new RecordReportsArea(this,  "Rapports");
+			publicationField = new RecordPublicationsArea(this, "Publications produites");
 		}
 
 		if (BCCCC.doubleClickedRecord != null) { // load record informations
@@ -288,9 +293,11 @@
 					projectField.setValue(record.record.project);
 					descriptionField.setValue(record.record.short_description);
 
+					placeField.setValue(record.record.place);
 					dateField.setValue(record.record.date);
 					numberOfParticipantsField.setValue(record.record.numberOfParticipants);
 
+					personsField.setValues(record.record.persons);
 					typesField.setValues(record.record.types);
 					dispositifsField.setValues(record.record.dispositifs);
 					dataField.setValues(record.record.supports);
@@ -302,6 +309,7 @@
 					addMember(nameField);
 					addMember(projectField);
 					addMember(descriptionField);
+					addMember(placeField);
 					addMember(dateField);
 					addMember(numberOfParticipantsField);
 
Index: projets/BCCCC/src/org/ccc/bcccc/client/GreetingServiceAsync.java
===================================================================
--- projets/BCCCC/src/org/ccc/bcccc/client/GreetingServiceAsync.java	(revision 7)
+++ projets/BCCCC/src/org/ccc/bcccc/client/GreetingServiceAsync.java	(revision 8)
@@ -51,10 +51,9 @@
 	 *
 	 * @param login the login
 	 * @param eta the eta
-	 * @param mdp the mdp
 	 * @param callback the callback
 	 */
-	void logIn(String login, String eta, String mdp, AsyncCallback<Boolean> callback);
+	void logIn(String login, String eta, AsyncCallback<Boolean> callback);
 	
 	/**
 	 * Log out.
